#if !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
#define AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FacesView.h : header file
//

#include "OpenGLView.h"

class CMaterial;

/////////////////////////////////////////////////////////////////////////////
// CFacesView view

class CFacesView : public COpenGLView
{
protected:
	CFacesView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFacesView)

// Attributes
public:
  CFacesDoc* GetDocument();

// Operations
public:
  GLint radius1, radius2;
  GLdouble angle1, angle2;
  GLint slices, stacks;
  GLint height;
  GLint orientation;
  GLint whichQuadric;
  GLUquadricObj *quadObj;

  CMaterial *m_pDlg;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFacesView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFacesView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CFacesView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnCustom();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FacesView.cpp
inline CFacesDoc* CFacesView::GetDocument()
   { return (CFacesDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
