// Material.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMaterial dialog

class CView;

class CMaterial : public CDialog
{
// Construction
public:
	CMaterial(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMaterial)
	enum { IDD = IDD_MATERIAL };
	float	m_backDifBlue;
	float	m_backDifGreen;
	float	m_backDifRed;
	float	m_backSpcBlue;
	float	m_backSpcGreen;
	float	m_backSpcRed;
	float	m_frontDifBlue;
	float	m_frontDifGreen;
	float	m_frontDifRed;
	float	m_frontSpcBlue;
	float	m_frontSpcGreen;
	float	m_frontSpcRed;
	float	m_frontShin;
	float	m_backShin;
	int		m_cull;
	int		m_clock;
	//}}AFX_DATA

CView *m_pView;

BOOL Create(CView * pView);

float front_mat_shininess[1];
float front_mat_specular[4];
float front_mat_diffuse[4];
float back_mat_shininess[1];
float back_mat_specular[4];
float back_mat_diffuse[4];
  
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMaterial)
	public:
	
  protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMaterial)
	virtual BOOL OnInitDialog();
	afx_msg void OnApply();
	afx_msg void OnClockwise(UINT nID);
	afx_msg void OnCullFace(UINT nID);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
