// Light.h: interface for the CLight class.
//
//////////////////////////////////////////////////////////////////////

#ifndef LIGHT_H
#define LIGHT_H

#include "Point.h"

class CLightingView;

class CLight{
public:
	void listInit();
	CLight();
	virtual ~CLight();

  void Init(int nNum, GLboolean on, char *name, 
            GLboolean *mask, Point pos, GLfloat *dif);

  GLfloat   m_Diffuse[4];    //  
  Point     m_Pos;           //    
  GLfloat   m_LightRotation; //   
  GLboolean m_ShadowMask[4]; //    
  char      m_Name[64];      //  
  int       m_Number;        //    
  GLboolean m_On;

  CLightingView *m_pOwner;   //   

  void InitPosition();
};

#endif