#if !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
#define AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MaterialsView.h : header file
//

#include "OpenGLView.h"

/////////////////////////////////////////////////////////////////////////////
// CMaterialsView view

class CMaterialsView : public COpenGLView
{
protected:
	CMaterialsView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CMaterialsView)

// Attributes
public:
  CMaterialsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMaterialsView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
public:
  void renderTeapot(GLfloat x, GLfloat y,
                    GLfloat ambr, GLfloat ambg, GLfloat ambb, 
                    GLfloat difr, GLfloat difg, GLfloat difb, 
                    GLfloat specr, GLfloat specg, GLfloat specb,
                    GLfloat shine);

protected:
	virtual ~CMaterialsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMaterialsView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MaterialsView.cpp
inline CMaterialsDoc* CMaterialsView::GetDocument()
   { return (CMaterialsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
