// PixFrmtView.h :   CPixFrmtView
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEMPLVIEW_H__732F713C_0FFE_11D1_AAFE_000000000000__INCLUDED_)
#define AFX_TEMPLVIEW_H__732F713C_0FFE_11D1_AAFE_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "OpenGL.h"
#include "Scene.h"

class CPixFrmtView : public COpenGLView
{
protected: //     
	CPixFrmtView();
	DECLARE_DYNCREATE(CPixFrmtView)

// 
public:
	CPixFrmtDoc* GetDocument() { return (CPixFrmtDoc*)m_pDocument; }

  CScene m_Scene; // ,     

protected:
	virtual COpenGL* GetOpenGL() { return &m_Scene; }

// 
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPixFrmtView)
	public:
	  virtual void OnInitialUpdate();
	protected:
	  virtual void OnDraw(CDC* pDC);
    virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	  virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	  virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// 
public:
	virtual ~CPixFrmtView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

//   
protected:
	//{{AFX_MSG(CPixFrmtView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPFInfo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPLVIEW_H__732F713C_0FFE_11D1_AAFE_000000000000__INCLUDED_)
