// TextureDlg.h : header file
//

class CSettings  
{
public:
	CSettings();
	virtual ~CSettings();

	GLint 		envmode;
	GLenum		hint;
	GLint	  	minfilter;
	GLint		  magfilter;
	GLint		  wrap_s;
	GLint		  wrap_t;
	GLdouble	texcoord;

	BOOL		  s_gen;
	GLint		  s_mode;
	GLdouble	s_coeffs[4];

	BOOL		  t_gen;
	GLint		  t_mode;
	GLdouble	t_coeffs[4];
};



/////////////////////////////////////////////////////////////////////////////
// CTextureDlg dialog

class CTextureDlg : public CDialog
{
// Construction
public:
	BOOL Create(CView *pView);
	CTextureDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTextureDlg)
	enum { IDD = IDD_TEXTURE };
	int		m_Env;
	int		m_Hint;
	int		m_MinF;
	int		m_MagF;
	double	m_TexC;
	int		m_RepT;
	int		m_RepS;
	BOOL	m_GenS;
	BOOL	m_GenT;
	double	m_s_w;
	double	m_s_x;
	double	m_s_y;
	double	m_s_z;
	int		m_sMode;
	int		m_tMode;
	double	m_t_w;
	double	m_t_x;
	double	m_t_y;
	double	m_t_z;
	//}}AFX_DATA

  CView* m_pView; //     TextureView

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTextureDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL m_Decal;

	// Generated message map functions
	//{{AFX_MSG(CTextureDlg)
	afx_msg void OnDecal();
	virtual BOOL OnInitDialog();
  afx_msg void OnApply();
	virtual void OnOK();
	afx_msg void OnSGenToggle();
	afx_msg void OnTGenToggle();
	afx_msg void OnSSphereMapMode(UINT nID);
	afx_msg void OnTSphereMapMode(UINT nID);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

