#if !defined(AFX_MATRIXDLG_H__056C02CA_5F6B_11D1_ABEE_000000000000__INCLUDED_)
#define AFX_MATRIXDLG_H__056C02CA_5F6B_11D1_ABEE_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MatrixDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMatrixDlg dialog

class CMatrixDlg : public CDialog
{
// Construction
public:
	int m_nMatrix;
	CMatrixDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMatrixDlg)
	enum { IDD = IDD_MATRIX };
	CTabCtrl	m_Matrix;
  int		m_Gl;
  int		m_Command;
  int		m_Projection;
	float	m_Param11;
	float	m_Param12;
	float	m_Param13;
	float	m_Param14;
	float	m_Param15;
	float	m_Param16;
	float	m_Param21;
	float	m_Param22;
	float	m_Param23;
	float	m_Param24;
	float	m_Param31;
	float	m_Param32;
	float	m_Param33;
	//}}AFX_DATA
 
 	BOOL Create(CView* pView);
	void SetMatrixIdentity(float m_Matrix[4][4]);
  
  GLfloat	m_CurMatrix[4][4];
	GLfloat	m_PreMatrix[4][4];
  GLfloat	m_matrixProj[4][4];

	CView* m_pView; //     Transform

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMatrixDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CMatrixDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnOrthoProj();
	afx_msg void OnFrustProj();
  afx_msg void OnMatrixChange(NMHDR* pNMHDR, LRESULT* pResult);
  afx_msg void OnMatrixFocus(UINT nID);
	afx_msg void OnApply();
	afx_msg void OnInpCommand();
	afx_msg void OnInpMatrix();
	afx_msg void OnAppend();
	afx_msg void OnReset();
  afx_msg void OnLockGlGlu();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void ResetParam();
	void GetMatrix(UINT mode);
	void UnLockCommand();
	void LockCommand();
	void SetProjection();

  //GLfloat	m_StorageProj[4][4];
  GLfloat	m_StoreProj[4][4];
  GLfloat	m_StoreView[4][4];
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MATRIXDLG_H__056C02CA_5F6B_11D1_ABEE_000000000000__INCLUDED_)
