// BitmapsView.cpp : implementation of the COpenGLView class
//

#include "stdafx.h"
#include "Bitmaps.h"

#include "BitmapsDoc.h"
#include "BitmapsView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBitmapsView

IMPLEMENT_DYNCREATE(CBitmapsView, COpenGLView)

CBitmapsView::CBitmapsView()
{
}

CBitmapsView::~CBitmapsView()
{
}

BEGIN_MESSAGE_MAP(CBitmapsView, COpenGLView)
	//{{AFX_MSG_MAP(CBitmapsView)
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBitmapsView diagnostics

#ifdef _DEBUG
void CBitmapsView::AssertValid() const
{
	CView::AssertValid();
}

void CBitmapsView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CBitmapsDoc* CBitmapsView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CBitmapsDoc)));
	return (CBitmapsDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CBitmapsView drawing

void CBitmapsView::OnInitialUpdate() 
{
	COpenGLView::OnInitialUpdate();
	
  //      
  ::glClearColor(1.0f, 0.96f, 0.866f, 1.0f);
}

void CBitmapsView::OnDraw(CDC* pDC)
{
	CBitmapsDoc* pDoc = GetDocument();
  ASSERT_VALID(pDoc);
	
  //    
  //   ""  
  COpenGLView::OnDraw(pDC);
}

/////////////////////////////////////////////////////////////////////////////
// CBitmapsView message handlers

void CBitmapsView::OnSize(UINT nType, int cx, int cy) 
{
  //    
	COpenGLView::OnSize(nType, cx, cy);
}

