#if !defined(AFX_PIXFORM_H__6424382A_1087_11D1_AB02_000000000000__INCLUDED_)
#define AFX_PIXFORM_H__6424382A_1087_11D1_AB02_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PixForm.h : header file
//

#include "Scene.h"

/////////////////////////////////////////////////////////////////////////////
// CPixForm dialog

class CPixForm : public CDialog
{
// Construction
public:
	CPixForm(CWnd* pParent = NULL); //  
  
  CScene *m_pOGL;
  void SetOpenGL(CScene *ogl) {m_pOGL = ogl;}

// Dialog Data
	//{{AFX_DATA(CPixForm)
	enum { IDD = IDD_CHOOSEPF };
	BOOL	m_bDrwBitmap;
	BOOL	m_bDrwWindow;
	BOOL	m_bDblBuffer;
	BOOL	m_bSuppGDI;
	BOOL	m_bSuppOpenGL;
	int		m_nTypeRGBA;
	BOOL	m_bStereo;
	int		m_nAccumBits;
	int		m_nAlphaBits;
	int		m_nColorBits;
	int		m_nStencilBits;
	int		m_nDepthBits;
	int		m_nLayer;
	int		m_nIndex;
	BOOL	m_bDblBuffDnCr;
	BOOL	m_bNeedPal;
	BOOL	m_bNeedSysPal;
	BOOL	m_bStereoDnCr;
	int		m_nAuxBuffer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPixForm)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_nCurIndex;

	// Generated message map functions
	//{{AFX_MSG(CPixForm)
	virtual BOOL OnInitDialog();
	afx_msg void OnMorePFD();
	afx_msg void OnFirstPFD();
	afx_msg void OnPrevPFD();
	afx_msg void OnNextPFD();
	afx_msg void OnLastPFD();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void UpdateDlg(PIXELFORMATDESCRIPTOR *pfd);
};

/////////////////////////////////////////////////////////////////////////////
// CMorePFD dialog

class CMorePFD : public CDialog
{
// Construction
public:
	CMorePFD(CWnd* pParent = NULL);   // standard constructor

  LPPIXELFORMATDESCRIPTOR m_ppfd;

// Dialog Data
	//{{AFX_DATA(CMorePFD)
    enum { IDD = IDD_MOREPFD };
	  int		m_accumalphabits;
	  int		m_accumbluebits;
	  int		m_accumgreenbits;
	  int		m_accumredbits;
	  int		m_alphabits;
	  int		m_alphashift;
	  int		m_bluebits;
	  int		m_blueshift;
	  DWORD	m_damagemask;
	  int		m_greenbits;
	  int		m_greenshift;
	  DWORD	m_layermask;
	  int		m_redbits;
	  int		m_redshift;
	  DWORD	m_visiblemask;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMorePFD)
	protected:
	  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMorePFD)
		virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PIXFORM_H__6424382A_1087_11D1_AB02_000000000000__INCLUDED_)
