// PixFrmt.cpp :    
//

#include "stdafx.h"
#include "PixFrmt.h"

#include "MainFrm.h"
#include "PixFrmtDoc.h"
#include "PixFrmtView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtApp

BEGIN_MESSAGE_MAP(CPixFrmtApp, CWinApp)
	//{{AFX_MSG_MAP(CPixFrmtApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
	// Standard print setup command
	ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtApp : 

CPixFrmtApp::CPixFrmtApp()
{
}

/////////////////////////////////////////////////////////////////////////////
//      CPixFrmtApp

CPixFrmtApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtApp : 

BOOL CPixFrmtApp::InitInstance()
{
	//  

#ifdef _AFXDLL
	Enable3dControls();
#else
	Enable3dControlsStatic();
#endif

	//   

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		  IDR_MAINFRAME,
		  RUNTIME_CLASS(CPixFrmtDoc),
		  RUNTIME_CLASS(CMainFrame),
		  RUNTIME_CLASS(CPixFrmtView));
	AddDocTemplate(pDocTemplate);

	//   
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	//     
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	
  m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
  m_pMainWnd->CenterWindow();

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg :  ,   About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

//  
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// 
protected:
	//{{AFX_MSG(CAboutDlg)
		// No message handlers
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//      
void CPixFrmtApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

