// PixFrmtView.cpp :   CPixFrmtView
//

#include "stdafx.h"
#include "PixFrmt.h"
#include "PixForm.h"

#include "PixFrmtDoc.h"
#include "PixFrmtView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView

IMPLEMENT_DYNCREATE(CPixFrmtView, CView)

BEGIN_MESSAGE_MAP(CPixFrmtView, CView)
	//{{AFX_MSG_MAP(CPixFrmtView)
	ON_WM_CREATE()
	ON_WM_SIZE()
	ON_COMMAND(IDC_PFINFO, OnPFInfo)
	//}}AFX_MSG_MAP
	//   
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView : /

CPixFrmtView::CPixFrmtView()
{
}

CPixFrmtView::~CPixFrmtView()
{
}

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView - 

void CPixFrmtView::OnDraw(CDC* pDC)
{
  COpenGLView::OnDraw(pDC);
}

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView 

BOOL CPixFrmtView::OnPreparePrinting(CPrintInfo* pInfo)
{
	//   
	return DoPreparePrinting(pInfo);
}

void CPixFrmtView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

void CPixFrmtView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView : 

#ifdef _DEBUG
void CPixFrmtView::AssertValid() const
{
	CView::AssertValid();
}

void CPixFrmtView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CPixFrmtView -  

void CPixFrmtView::OnInitialUpdate() 
{
	COpenGLView::OnInitialUpdate();
	
}

int CPixFrmtView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (COpenGLView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	return 0;
}

void CPixFrmtView::OnSize(UINT nType, int cx, int cy) 
{
	if ( (cx <= 0) || (cy <= 0) ) return ;

  COpenGLView::OnSize(nType, cx, cy);
}

void CPixFrmtView::OnPFInfo() 
{
  CPixForm dlgPF;
  dlgPF.SetOpenGL((CScene *)GetOpenGL());
  dlgPF.DoModal();
}
