#if !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
#define AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TransformView.h : header file
//

#include "OpenGLView.h"
#include "MatrixDlg.h"	// Added by ClassView

/////////////////////////////////////////////////////////////////////////////
// CTransformView view

class CTransformView : public COpenGLView
{
protected:
	CTransformView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTransformView)

// Attributes
public:
  CTransformDoc* GetDocument();

// Operations
public:
	GLfloat m_Matrix[4][4];
  CMatrixDlg m_dlgMatrix;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransformView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTransformView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	void DrawCommonScene();
	void DrawCommonStockScene();
	void DrawRightView();
	void DrawLeftView();

	void Draw3DAxes(float start = -10.0,
                  float finish = 10.0, int ticks = -1);

  //{{AFX_MSG(CTransformView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void Draw3DAxesLine(float start, float finish,
                      int axis_id, int ticks);
};

#ifndef _DEBUG  // debug version in TransformView.cpp
inline CTransformDoc* CTransformView::GetDocument()
   { return (CTransformDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPVIEW_H__8A7A8D67_5ED3_11D1_ABEC_000000000000__INCLUDED_)
